Module | Kwalify
In: | kwalify/errors.rb kwalify/main.rb kwalify/messages.rb kwalify/meta-validator.rb kwalify/parser/yaml.rb kwalify/rule.rb kwalify/types.rb kwalify/util/hash-interface.rb kwalify/util/hashlike.rb kwalify/util/ordered-hash.rb kwalify/util.rb kwalify/validator.rb kwalify/yaml-parser.rb kwalify.rb

require ‘kwalify/parser/base’ require ‘kwalify/parser/yaml‘

### Methods

meta_validator msg word

### Classes and Modules

Module Kwalify::ErrorHelper
Module Kwalify::HashInterface
Module Kwalify::Json
Module Kwalify::Types
Module Kwalify::Util
Module Kwalify::Yaml
Class Kwalify::AssertionError
Class Kwalify::BaseError
Class Kwalify::BaseParser
Class Kwalify::CommandOptionError
Class Kwalify::KwalifyError
Class Kwalify::Main
Class Kwalify::MetaValidator
Class Kwalify::Parser
Class Kwalify::PlainYamlParser
Class Kwalify::Rule
Class Kwalify::SchemaError
Class Kwalify::SyntaxError
Class Kwalify::ValidationError
Class Kwalify::Validator
Class Kwalify::YamlParser
Class Kwalify::YamlSyntaxError

### Constants

META_VALIDATOR | = | MetaValidator.instance()
RELEASE | = | ("$Release: 0.7.2 $" =~ /[.\d]+/) && $&

### Public Class methods

meta_validator(

[Source]

    # File kwalify/meta-validator.rb, line 271
      def self.meta_validator        # obsolete
        return META_VALIDATOR
      end

msg(key)

[Source]

    # File kwalify/messages.rb, line 11
       def self.msg(key)
          return @@messages[key]
       end

word(key)

[Source]

    # File kwalify/messages.rb, line 164
       def self.word(key)
          return @@words[key] || key
       end

[Validate]